<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_WORKORDERENTRY';
$path_to_root = "../..";

include($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc"); 
include_once($path_to_root . "/inventory/includes/ui/view_lot_allocations_ui.inc");  
include_once($path_to_root . "/inventory/includes/ui/view_issue_lot_selection_edit_ui.inc");  
include_once($path_to_root . "/inventory/includes/db/lot_allocations_db.inc");  

$js = "";
$js .= get_js_open_window(800, 500);

global $systypes_array;

page(_($help_context = "View Lot Allocations"), true, false, "", $js);

if (isset($_GET["type"])) {
    $type = $_GET["type"];
}

if (isset($_GET["trans_no"])) {
    $trans_no = $_GET["trans_no"];
}

if (isset($_GET["line_id"])) {
    $line_id = $_GET["line_id"];
}

br(2);

display_line_details($type, $trans_no, $line_id);

view_lot_allocation_lines_by_type($type, $trans_no, $line_id);
    
end_page(true, false, false, $type, $trans_no);

?>